---
title: Installing Addons  
---

### Installing Addons

Pyro comes with a few different ways you can include additional addons in your project.

#### Installing Addons Manually

You can manually install addons by copying the addon folder into the appropriate vendor folder in `addons/{APPLICATION_REF}/{VENDOR}` for a specific application or `addons/shared/{VENDOR}` to allow all applications access to the addon.

#### Installing Addons with Composer

Addons can be installed with Composer by including the addon in your root `composer.json` file like a normal package.

Addons installed this way will be considered a core component of your core project and as such will be downloaded to the `core` directory.

    {
        "require": {
            ...
            "anomaly/repeater-field_type": "~1.2.0"
        }
    }

#### Installing PRO Addons with Composer

You can install PRO and private addons in general with Composer as well. Simply add the repository to your root `composer.json` file as well as the require line:

    "require": {
        ...
        "anomaly/forms-module": "~1.1.0",
        "anomaly/standard_form-extension": "dev-master",
    }

If your installation is older or otherwise does not already have [](https://packages.pyrocms.com/)[https://packages.pyrocms.com/](https://packages.pyrocms.com/) included then you can add it now or use the older approach using VCS type repositories:

    "repositories": [
        {
            "type": "vcs",
            "url": "https://github.com/anomalylabs/standard_form-extension"
        },
        {
            "type": "vcs",
            "url": "https://github.com/anomalylabs/forms-module"
        }
    ]

##### GitHub Authentication for Composer

When deploying PRO addons to servers using composer you will need to authorize Composer to access PRO addons on your behalf. To do this you will need to [create a new personal access token](https://github.com/settings/tokens/new?scopes=repo&description=PyroCMS) and install it on your remote:

    composer config -g github-oauth.github.com <oauthtoken>
